## nginx 1.4.4

=== debian/changelog ===
nginx (1.4.4-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Wed, 27 Nov 2013 17:49:21 +0200

nginx (1.4.4-1) unstable; urgency=low

  [ Christos Trochalakis ]
  * New upstream release. (Closes: #730012)
  * debian/nginx-*.postinst:
    + Wait for the new master to write its pid file before sending QUIT to the
      old master. This solves an issue with systemd and the upgrade mechanism.
      Systemd receives the SIGCHLD from the old master but it can't see the new
      pid because the new master has not written it yet. As a result, it kills
      everything inside the cgroup, including the new master.
  * debian/modules/ngx-fancyindex:
    + Upgrade Fancy Index module to v0.3.3 (Closes: #728721)
  * debian/control:
    + Remove Upload module from nginx-extras description (Closes: #729003)

  [ Michael Lustfield ]
  * debian/control:
    + Added spdy to package description (Closes: #728038)
  * debian/nginx-common.nginx.init:
    + Showing better start/stop messages. Thanks Pim van den Berg.
      (Closes: #728103)

 -- Michael Lustfield <michael@lustfield.net>  Thu, 21 Nov 2013 19:25:50 +0530

nginx (1.4.3-2) unstable; urgency=low

  [ Kartik Mistry ]
  * Renamed debian/nginx-common.service to debian/nginx-common.nginx.service so
    it is installed properly for systemd. Thanks to Christos Trochalakis.
  * Set debian/compat to 9 and updated debhelper dependency.

  [ Christos Trochalakis ]
  * debian/rules, debian/nginx-common.dirs,
    debian/debian-common.nginx.logrotate:
    + Switch to dh_installlogrotate.
  * debian/rules:
    + *-stamp files are deleted by dh_clean.
    + Remove unused mime-types target.
    + Remove not needed config.sub and config.guess targets.
  * debian/nginx-common.dirs:
    + Don't ship an empty /run dir.
  * debian/nginx-{light,full,extras}.lintian-overrides:
    + Override false lintian spelling error warning.

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 Oct 2013 14:58:11 +0530

nginx (1.4.3-1) unstable; urgency=low

  [ Cyril Lavier ]
  * debian/nginx-naxsi-ui.postinst, debian/nginx-naxsi-ui.preinst:
    + Added missing arguments to have clean postinst/preinst scripts.
  * debian/conf/fastcgi_params:
    + Defined fastcgi param HTTPS the same as upstream default.
      (Closes: #712989)

  [ Michael Lustfield ]
  * conf/sites-available/default:
    + Removed /doc/ section per bug #715804.

  [ Christos Trochalakis ]
  * New upstream release. (Closes: #722640)
  * debian/nginx-common.nginx.init:
    + Better pidfile extraction from nginx.conf. We now accept multiple
      spaces and tabs as a field separator.
  * debian/modules/nginx-auth-pam:
    + Fixed upstream bug. (Closes: #721702)
  * debian/watch:
    + Only check for stable releases.
  * debian/conf/sites-available/default:
    + Correctly fallback to 404 when the requested file is missing.
      (Closes: #724232)
  * debian/logrotate:
    + Gracefully handle empty pidfile in logrotate script.
      (Closes: #696797)

  [ Kartik Mistry ]
  * Switch to dh-systemd (Closes: #713853)

 -- Kartik Mistry <kartik@debian.org>  Thu, 10 Oct 2013 17:28:56 +0530
