=== debian/control ===
Source: nginx
Section: httpd
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Uploaders: Jose Parrella <bureado@debian.org>,
           Fabio Tranchitella <kobold@debian.org>,
           Michael Lustfield <michael@lustfield.net>,
           Dmitry E. Oboukhov <unera@debian.org>,
           Cyril Lavier <cyril.lavier@davromaniak.eu>,
           Christos Trochalakis <yatiohi@ideopolis.gr>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-systemd (>= 1.5),
               dpkg-dev (>= 1.15.5),
               libexpat-dev,
               libgd2-dev | libgd2-noxpm-dev,
               libgeoip-dev,
               liblua5.1-dev,
               libmhash-dev,
               libpam0g-dev,
               libpcre3-dev,
               libperl-dev,
               libssl-dev,
               libxslt1-dev,
               po-debconf,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://nginx.net
Vcs-Git: git://anonscm.debian.org/collab-maint/nginx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nginx.git;a=summary

Package: nginx
Architecture: all
Depends: nginx-full | nginx-light, ${misc:Depends}
Description: small, powerful, scalable web/proxy server
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This is a dependency package to install either nginx-full (by default) or
 nginx-light.

Package: nginx-doc
Architecture: all
Section: doc
Depends: lsb-base (>= 3.2-14), ${misc:Depends}
Description: small, powerful, scalable web/proxy server - documentation
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides extra documentation to help unleash the power of Nginx.

Package: nginx-common
Architecture: all
Depends: lsb-base (>= 3.2-14), ${misc:Depends}
Replaces: nginx (<< 0.8.54-4),
          nginx-extras (<< 0.8.54-4),
          nginx-full (<< 0.8.54-4),
          nginx-light (<< 0.8.54-4)
Breaks: nginx (<< 0.8.54-4),
        nginx-extras (<< 0.8.54-4),
        nginx-full (<< 0.8.54-4),
        nginx-light (<< 0.8.54-4)
Suggests: fcgiwrap, nginx-doc
Description: small, powerful, scalable web/proxy server - common files
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package contains base configuration files used by all versions of
 nginx.

Package: nginx-full
Architecture: any
Depends: nginx-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: httpd, nginx
Conflicts: nginx-extras, nginx-light, nginx-naxsi
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server (standard version)
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides a version of nginx with the complete set of
 standard modules included (but omitting some of those included in
 nginx-extra).
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Browser,
 Charset, Empty GIF, FastCGI, Geo, Gzip, Headers, Index, Limit Requests,
 Limit Zone, Log, Map, Memcached, Proxy, Referer, Rewrite, SCGI,
 Split Clients, SSI, Upstream, User ID, UWSGI.
 .
 OPTIONAL HTTP MODULES: Addition, Debug, GeoIP, Gzip Precompression,
 HTTP Sub, Image Filter, IPv6, Real IP, SSL, Stub Status, Substitution,
 WebDAV, XSLT.
 .
 MAIL MODULES: Mail Core, IMAP, POP3, SMTP, SSL.
 .
 THIRD PARTY MODULES: Auth PAM, DAV Ext, Echo, HTTP Substitution Filter,
 Upstream Fair Queue.

Package: nginx-full-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nginx-full (= ${binary:Version}), ${misc:Depends}
Conflicts: nginx-extras-dbg, nginx-light-dbg, nginx-naxsi-dbg
Description: nginx web/proxy server (standard version) - debugging symbols
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides debugging symbols for nginx-full, to assist in debugging
 issues that you may find. It should not be required for normal operation.

Package: nginx-light
Architecture: any
Priority: extra
Depends: nginx-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: httpd, nginx
Conflicts: nginx-extras, nginx-full, nginx-naxsi
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server (basic version)
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides a very light version of nginx with only the
 minimal set of features and modules.
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Charset,
 Empty GIF, FastCGI, Gzip, Headers, Index, Log, Map, Proxy, Rewrite, Upstream.
 .
 OPTIONAL HTTP MODULES: Gzip Precompression, IPv6, SSL, Stub Status.
 .
 THIRD PARTY MODULES: Echo.

Package: nginx-light-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nginx-light (= ${binary:Version}), ${misc:Depends}
Conflicts: nginx-extras-dbg, nginx-full-dbg, nginx-naxsi-dbg
Description: nginx web/proxy server (basic version) - debugging symbols
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides debugging symbols for nginx-light, to assist in
 debugging issues that you may find. It should not be required for normal
 operation.

Package: nginx-extras
Architecture: any
Priority: extra
Depends: nginx-common (= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Provides: httpd, nginx
Conflicts: nginx-full, nginx-light, nginx-naxsi
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server (extended version)
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides a version of nginx with the standard modules, plus
 extra features and modules such as the Perl module, which allows the
 addition of Perl in configuration files.
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Browser,
 Charset, Empty GIF, FastCGI, Geo, Gzip, Headers, Index, Limit Requests,
 Limit Zone, Log, Map, Memcached, Proxy, Referer, Rewrite, SCGI,
 Split Clients, SSI, Upstream, User ID, UWSGI.
 .
 OPTIONAL HTTP MODULES: Addition, Debug, Embedded Perl, FLV, GeoIP,
 Gzip Precompression, Spdy, Image Filter, IPv6, MP4, Random Index, Real IP,
 Secure Link, SSL, Stub Status, Substitution, WebDAV, XSLT.
 .
 MAIL MODULES: Mail Core, IMAP, POP3, SMTP, SSL.
 .
 THIRD PARTY MODULES: Auth PAM, Chunkin, DAV Ext, Echo, Embedded Lua,
 Fancy Index, HttpHeadersMore, HTTP Substitution Filter, http push,
 Nginx Development Kit, Upload Progress, Upstream Fair Queue.

Package: nginx-extras-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nginx-extras (= ${binary:Version}), ${misc:Depends}
Conflicts: nginx-full-dbg, nginx-light-dbg, nginx-naxsi-dbg
Description: nginx web/proxy server (extended version) - debugging symbols
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides debugging symbols for nginx-extras, to assist in
 debugging issues that you may find. It should not be required for normal
 operation.

Package: nginx-naxsi
Architecture: any
Priority: extra
Depends: nginx-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: httpd, nginx
Conflicts: nginx-extras, nginx-full, nginx-light
Description: nginx web/proxy server (version with naxsi)
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides a version of nginx with the basic modules, plus
 the naxsi Web Application Firewall module.
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Browser,
 Charset, Core, Empty GIF, FastCGI, Geo, Gzip, Headers, Index,
 Limit Requests, Limit Zone, Log, Map, Memcached, Proxy, Referer,
 Rewrite, Split Clients, SSI, Upstream, User ID.
 .
 OPTIONAL HTTP MODULES: IPv6, Real IP, SSL, Stub Status.
 .
 THIRD PARTY MODULES: Naxsi, Cache Purge, Upstream Fair.

Package: nginx-naxsi-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nginx-naxsi (= ${binary:Version}), ${misc:Depends}
Conflicts: nginx-extras-dbg, nginx-full-dbg, nginx-light-dbg
Description: nginx web/proxy server (version with naxsi) - debugging symbols
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides debugging symbols for nginx-naxsi, to assist in
 debugging issues that you may find. It should not be required for normal
 operation.

Package: nginx-naxsi-ui
Architecture: all
Priority: extra
Depends: daemon,
         dbconfig-common,
         nginx-naxsi (>= ${source:Version}),
         python-twisted-web,
         ${misc:Depends}
Provides: httpd, naxsi, nginx
Conflicts: nginx-extras, nginx-full, nginx-light
Description: nginx web/proxy server - naxsi configuration front-end
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides the autolearning daemon and web user interface for
 nginx's naxsi module.
 .
 It includes an interceptor (listening on TCP port 8080), which monitors
 HTTP requests from naxsi, and an extractor (running on TCP port 8081),
 which reads the database and prints reports about blocked requests.
