=== debian/watch ===
version=3
http://nginx.org/download/nginx-(\d\.[02468]\.\d+)\.tar\.gz
