## nginx 1.4.6

=== debian/changelog ===
nginx (1.4.6-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 04 Mar 2014 19:34:38 +0200

nginx (1.4.6-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release.
  * debian/rules:
    + Avoid double declaration of hardening flags.
    + Expand buildflags so the build log is easier to follow.
    + Switch to --with--cc-opt, --with-ld-opt configure flags.
      Nginx is now compiled with --Werror, making all warnings
      into errors.
    + Split common configure options.
    + Enable realip module for nginx-light.
    + Enable debug module for nginx-light and nginx-extras.
  * debian/patches/perl-use-dpkg-buildflags.patch:
    + Rewrite patch to just just override LDDLFLAGS and not
      CCFLAGS since this is handled by --with-cc-opt.
  * debian/watch, debian/upstream/signing-key.asc:
    + Fix upstream signature verification.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 04 Mar 2014 18:06:55 +0200

nginx (1.4.5-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release.
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.9.4
  * debian/nginx-naxsi-ui.preinst:
    + Fix exit status issue (Closes: #735152)
  * debian/control:
    + Fix arch:all to arch:any dependencies
    + Make nginx depend on specific flavor version
  * debian/nginx-*.postinst:
    + Make nginx start by default (Closes: #735551)
  * debian/nginx-*.prerm:
    + No need to check for invoke-rc.d,
      correctly set the exit code on error
  * debian/nginx-common.nginx.init:
    + Rewrite some parts of the initscript
    + Introduce rotate command
    + Introduce upgrade command

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 13 Feb 2014 11:41:49 +0200

nginx (1.4.4-4) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/nginx-common.postinst:
    + Fix log re-opening issue due to wrong /var/log/nginx
      permissions. (Closes: #734139)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Sat, 04 Jan 2014 09:41:40 +0200

nginx (1.4.4-3) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/nginx-naxsi-ui.postinst:
    + Fix early exit issue (Closes: #715435)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 31 Dec 2013 11:47:07 +0200

nginx (1.4.4-2) unstable; urgency=low

  [ Michael Lustfield ]
  * debian/control:
    + Added Provides: httpd-cgi to packages. (Closes: #701508)
    + Added other options to nginx depends. (Closes: #729860)
    + Added Spdy to nginx-full package description.
  * debian/nginx-common.nginx.init:
    + Added missing line from patch. (Closes: #728103)
  * debian/conf/sites-available/default:
    + Changed ssl_protocols and ssl_ciphers. (Closes: 730142)
  * debian/nginx-common.preinst:
    + Modify permissions of /var/log/nginx. (Closes: #701112)
  * debian/rules:
    + Added spdy support to nginx-full. (Closes: #730432)

  [ Christos Trochalakis ]
  * debian/nginx-doc,docs, debian/nginx-common.NEWS:
    + Ship NEWS with nginx-common instead of nginx-doc.
  * debian/conf/proxy_params:
    + Host header should be passed unmodified to the proxied server.
    + Pass X-Forwarded-Proto header to the proxied server.
  * debian/control:
    + Fix nginx-naxsi-ui Depends and Conflicts lines.

  [ Neutron Soutmun ]
  * debian/patches/guard-use-of-deprecated-openssl-definition.patch:
    + Fix FTBFS against the recent libssl-dev. (Closes: #733107)

  [ Kartik Mistry ]
  * debian/control:
    + Updated to Standards-Version 3.9.5
  * debian/watch, debian/upstream-signing-key.pgp:
    + Use upstream PGP signature to verify by watch file.

 -- Kartik Mistry <kartik@debian.org>  Fri, 27 Dec 2013 21:16:01 +0530
