=== debian/control ===
--- 
+++ 
@@ -24,14 +24,22 @@
                libxslt1-dev,
                po-debconf,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://nginx.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/nginx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nginx.git;a=summary
 
 Package: nginx
 Architecture: all
-Depends: nginx-full | nginx-light, ${misc:Depends}
+Depends: nginx-full   (>= ${source:Version}) |
+         nginx-light  (>= ${source:Version}) |
+         nginx-extras (>= ${source:Version}) |
+         nginx-naxsi  (>= ${source:Version}) ,
+         nginx-full   (<< ${source:Version}.1~) |
+         nginx-light  (<< ${source:Version}.1~) |
+         nginx-extras (<< ${source:Version}.1~) |
+         nginx-naxsi  (<< ${source:Version}.1~) ,
+         ${misc:Depends}
 Description: small, powerful, scalable web/proxy server
  Nginx ("engine X") is a high-performance web and reverse proxy server
  created by Igor Sysoev. It can be used both as a standalone web server
@@ -74,7 +82,8 @@
 Package: nginx-full
 Architecture: any
 Depends: nginx-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Provides: httpd, nginx
+Breaks: nginx (<< 1.4.5-1)
+Provides: httpd, httpd-cgi, nginx
 Conflicts: nginx-extras, nginx-light, nginx-naxsi
 Suggests: nginx-doc (= ${source:Version})
 Description: nginx web/proxy server (standard version)
@@ -91,9 +100,9 @@
  Limit Zone, Log, Map, Memcached, Proxy, Referer, Rewrite, SCGI,
  Split Clients, SSI, Upstream, User ID, UWSGI.
  .
- OPTIONAL HTTP MODULES: Addition, Debug, GeoIP, Gzip Precompression,
- HTTP Sub, Image Filter, IPv6, Real IP, SSL, Stub Status, Substitution,
- WebDAV, XSLT.
+ OPTIONAL HTTP MODULES: Addition, Debug, GeoIP, Gzip Precompression, HTTP Sub,
+ Image Filter, IPv6, Real IP, Spdy, SSL, Stub Status, Substitution, WebDAV,
+ XSLT.
  .
  MAIL MODULES: Mail Core, IMAP, POP3, SMTP, SSL.
  .
@@ -118,7 +127,8 @@
 Architecture: any
 Priority: extra
 Depends: nginx-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Provides: httpd, nginx
+Breaks: nginx (<< 1.4.5-1)
+Provides: httpd, httpd-cgi, nginx
 Conflicts: nginx-extras, nginx-full, nginx-naxsi
 Suggests: nginx-doc (= ${source:Version})
 Description: nginx web/proxy server (basic version)
@@ -132,7 +142,8 @@
  STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Charset,
  Empty GIF, FastCGI, Gzip, Headers, Index, Log, Map, Proxy, Rewrite, Upstream.
  .
- OPTIONAL HTTP MODULES: Gzip Precompression, IPv6, SSL, Stub Status.
+ OPTIONAL HTTP MODULES: Debug, Gzip Precompression, IPv6, Real Ip, SSL,
+ Stub Status.
  .
  THIRD PARTY MODULES: Echo.
 
@@ -158,7 +169,8 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Provides: httpd, nginx
+Breaks: nginx (<< 1.4.5-1)
+Provides: httpd, httpd-cgi, nginx
 Conflicts: nginx-full, nginx-light, nginx-naxsi
 Suggests: nginx-doc (= ${source:Version})
 Description: nginx web/proxy server (extended version)
@@ -176,8 +188,8 @@
  Split Clients, SSI, Upstream, User ID, UWSGI.
  .
  OPTIONAL HTTP MODULES: Addition, Debug, Embedded Perl, FLV, GeoIP,
- Gzip Precompression, Spdy, Image Filter, IPv6, MP4, Random Index, Real IP,
- Secure Link, SSL, Stub Status, Substitution, WebDAV, XSLT.
+ Gzip Precompression, Image Filter, IPv6, MP4, Random Index, Real IP,
+ Secure Link, Spdy, SSL, Stub Status, Substitution, WebDAV, XSLT.
  .
  MAIL MODULES: Mail Core, IMAP, POP3, SMTP, SSL.
  .
@@ -204,7 +216,9 @@
 Architecture: any
 Priority: extra
 Depends: nginx-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Provides: httpd, nginx
+Breaks: nginx (<< 1.4.5-1),
+        nginx-naxsi-ui (<< 1.4.5-1)
+Provides: httpd, httpd-cgi, nginx
 Conflicts: nginx-extras, nginx-full, nginx-light
 Description: nginx web/proxy server (version with naxsi)
  Nginx ("engine X") is a high-performance web and reverse proxy server
@@ -219,7 +233,7 @@
  Limit Requests, Limit Zone, Log, Map, Memcached, Proxy, Referer,
  Rewrite, Split Clients, SSI, Upstream, User ID.
  .
- OPTIONAL HTTP MODULES: IPv6, Real IP, SSL, Stub Status.
+ OPTIONAL HTTP MODULES: Debug, IPv6, Real IP, SSL, Stub Status.
  .
  THIRD PARTY MODULES: Naxsi, Cache Purge, Upstream Fair.
 
@@ -244,10 +258,9 @@
 Depends: daemon,
          dbconfig-common,
          nginx-naxsi (>= ${source:Version}),
+         nginx-naxsi (<< ${source:Version}.1~),
          python-twisted-web,
          ${misc:Depends}
-Provides: httpd, naxsi, nginx
-Conflicts: nginx-extras, nginx-full, nginx-light
 Description: nginx web/proxy server - naxsi configuration front-end
  Nginx ("engine X") is a high-performance web and reverse proxy server
  created by Igor Sysoev. It can be used both as a standalone web server
