## nginx 1.6.0

=== debian/changelog ===
nginx (1.6.0-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Wed, 07 May 2014 15:18:55 +0300

nginx (1.6.0-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release.
  * debian/rules:
    + Enable auth request http module. (Closes: #725732)
  * debian/patches/series:
    + Remove backported openssl guard patch.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 24 Apr 2014 19:23:22 +0300

nginx (1.4.7-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/rules:
    + Convert to dh $@
      As a side effect, fixes make dependency issues (Closes: #744050)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 17 Apr 2014 14:30:27 +0300

nginx (1.4.7-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release. (Closes: #742059)
    + Fixes pottential arbitrary code execution (CVE-2014-0133)
      Debian build was not vulnerable since it was compiled
      with the --with-debug configure option.
  * debian/modules/nginx-http-push:
    + Update to v0.711 (Closes: #732251)
  * debian/modules/headers-more-nginx-module:
    + Update to v0.25, containing several bugfixes.
  * debian/modules/nginx-echo:
    + Update to v0.51, containing several bugfixes.
  * debian/modules/nginx-dav-ext-module:
    + Update to v0.0.3, containing some uri encoding fixes.
  * debian/modules/ngx_http_substitutions_filter_module:
    + Update to v0.6.4, containing some enhancements.
  * debian/modules/nginx-auth-pam:
    + Update to v1.3.
      This version contains our downstream patch (See: #721702)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Tue, 18 Mar 2014 22:03:47 +0200
